Package org.sunflow.core

# Class IntersectionState.StackNode

java.lang.Object
org.sunflow.core.IntersectionState.StackNode

Enclosing class:
  `IntersectionState`

public static final class IntersectionState.StackNode extends Object
Traversal stack node, helps with tree-based `AccelerationStructure` traversal.

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`far`
`float`
`near`
`int`
`node`

## Constructor Summary

Constructors
Constructor
Description
`StackNode()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### node

public int node

### near

public float near

### far

public float far

## Constructor Details

### StackNode

public StackNode()